import {styled} from '@mui/material/styles'
import SimpleMDE, {SimpleMDEReactProps} from 'react-simplemde-editor'

const StyledMarkdownEditor = styled('div')(({theme}) => ({
  '& .editor-toolbar': {
    backgroundColor: theme.palette.background.paper,
    borderColor: theme.palette.divider,
  },
  '& .editor-toolbar button': {
    color: theme.palette.text.primary,
  },
  '& .editor-toolbar button:hover': {
    backgroundColor: theme.palette.action.hover,
  },
  '& .editor-toolbar button:active, & .editor-toolbar button.active': {
    backgroundColor: theme.palette.action.selected,
  },
  '& .editor-statusbar': {
    display: 'none',
  },
  // Стили для самого редактора
  '& .CodeMirror': {
    backgroundColor: theme.palette.background.paper,
    color: theme.palette.text.primary,
    borderColor: theme.palette.divider,
  },
  // Стили для текста в редакторе
  '& .CodeMirror-selected': {
    backgroundColor: `${theme.palette.action.selected} !important`,
  },
  '& .CodeMirror-cursor': {
    borderLeftColor: theme.palette.text.primary,
  },
  // Стили для markdown разметки
  '& .cm-header': {
    color: theme.palette.primary.main,
  },
  '& .cm-quote': {
    color: theme.palette.text.secondary,
    fontStyle: 'italic',
  },
  '& .cm-link': {
    color: theme.palette.primary.main,
  },
  '& .cm-url': {
    color: theme.palette.secondary.main,
  },
  '& .cm-formatting': {
    color: theme.palette.text.secondary,
  },

  '& .CodeMirror .editor-preview-full': {
    backgroundColor: theme.palette.background.paper,
    color: theme.palette.text.primary,
    borderColor: theme.palette.divider,
  },
}))

export const MarkdownEditor = (props: SimpleMDEReactProps) => (
  <StyledMarkdownEditor className="my-markdown-editor">
    <SimpleMDE {...props} />
  </StyledMarkdownEditor>
)
