import {Stack, Typography} from '@mui/material'
import {useShow} from '@refinedev/core'
import {Show, TextFieldComponent as TextField} from '@refinedev/mui'

export const RouteShow = () => {
  const {query} = useShow({})
  const {data, isLoading} = query

  const record = data?.data

  const fields = [
    // {label: 'ID', data: 'id'},
    // {label: 'ID перевозчика', data: 'carrier_id'},
    {label: 'Перевозчик', data: 'carrier'},
    {label: 'Номер маршрута', data: 'route_number'},
    {label: 'Путь', data: 'path'}, // #
  ]

  return (
    <Show isLoading={isLoading}>
      <Stack gap={4}>
        {fields.map(({label, data}) => (
          <Stack key={data} gap={1}>
            <Typography variant="body1" fontWeight="bold">
              {label}
            </Typography>
            <TextField value={record?.[data]} />
          </Stack>
        ))}

        <Stack gap={1}>
          <Typography variant="body1" fontWeight="bold">
            Направление маршрута
          </Typography>
          <TextField style={{color: record?.route_direction ? '#48989f' : '#7f6b58'}} value={record?.route_direction ? 'прямое' : 'обратное'} />
        </Stack>
      </Stack>
    </Show>
  )
}
